#!/usr/bin/perl

use lib "/usr/home/matt/cvs/poe";
use lib '/home/troc/perl/poe';
use warnings;
use strict;

use POE::Kernel;
use POE::Session::MessageBased;
use POE;

POE::Session::MessageBased->create
  ( inline_states =>
    { _start => sub {
        warn "@_";
        my ($message, @params) = @_;
        $message->kernel->yield( count => 1 );
      },
      count => sub {
        my ($message, $count) = @_;
        print "counted to $count\n";
        if ($count < 10) {
          $message->kernel->yield( count => ++$count );
        }
      },
      _stop => sub {
        warn "done";
      }
    },
  );

$poe_kernel->run();
